﻿@{
    ViewBag.Title = "Home Page";
}

@{
    Layout = "";
}

@model OwnerSite.ViewModels.LoginViewModel

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{

    <script src="~/Content/vendors/js/coreui.min.js"></script>
}

@* @foreach (var name in Model.OwnersName) *@
@* { *@
@*     <h1>@name</h1> *@
@* } *@
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template">
    <meta name="author" content="Łukasz Holeczek">
    <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,jQuery,CSS,HTML,RWD,Dashboard">
    <title>HAMS - Login</title>
    <!-- Icons-->
    <link href="~/Content/vendors/css/coreui-icons.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/flag-icon.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/simple-line-icons.min.css" rel="stylesheet" />
    <!-- Main styles for this application-->
    <link href="~/Content/css/style.css" rel="stylesheet" />
    <link href="~/Content/vendors/css/pace.min.css" rel="stylesheet" />


    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/js/toastr.min.js"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/css/toastr.min.css" rel="stylesheet">
</head>

<body class="app flex-row align-items-center">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-6">
                <div class="card-group">
                    <div class="card p-1">
                        <div class="card-body">
                            <div class="row">
                                <div class="col" align="left">
                                    <img src="~/Content/img/Best-Western-Logo.png" alt="Heritage Hotel" style="width:60%;" />
                                </div>
                                <div class="col" align="center"></div>
                                <div class="col ml-sm-3" align="center">
                                    <img src="~/Content/img/Coral-Reef-Logo.png" alt="Coral Reef Properties" style="width:100%;" />
                                </div>
                            </div>
                            <h5 align="center">Enter Your One Time Password (OTP)</h5>
                            @using (Html.BeginForm("OTPVerification", "Home", FormMethod.Post))
                            {
                                @Html.AntiForgeryToken()
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                <div class="form-group" align="center">
                                    <div class="col-md-10">
                                        OTP Sent to your @Model.MobileEmail
                                        @Html.TextBoxFor(m => m.OwnerLoginOTPCode, new { @class = "form-control", placeholder = "OTP", id = "OTP" })
                                        @Html.ValidationMessageFor(m => m.OwnerLoginOTPCode, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                                <div class="form-group" align="center">
                                    <div class="col-5">
                                        <button type="submit" id="Next" class="btn btn-primary px-4">Next</button>
                                    </div>
                                </div>
                                @Html.HiddenFor(m => m.OwnerSmartId, new { @id = "ownerSmartId" })
                                @Html.HiddenFor(m=>m.OTPForEmailorSMS, new { @id = "ownerEmailorSMSBoolean" })
                                @*<div align="center"><a href="#" onclick="SendingEmailCodeAgain()">Please Regenarate OTP Code</a></div>*@
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>

        var MobileNo = "@Model.MobileEmail";
        toastr.success('Please, do not refresh the page as it would send the OTP code again. Instead, wait a few moments as the message/mail is going to your preferred choice of medium. ', 'Success!!!!', {
            closeButton: true,
            timeOut: 30000,
            //progressBar: true,
        });
    </script>
    <script>
        var ErrorFlag = "@Model.OTPErrorFlag";
        if (ErrorFlag == "True") {
            $("#OTP").val("");
            toastr.error('Your provided OTP information is not matching; Please, check your the code last sent to you again & re-enter.', 'Error!!!!', {
                closeButton: true,
                progressBar: true,
            });
        }
    </script>

    <script>
        function SendingEmailCodeAgain() {

            var myModel = {
                ownerSmartId: $('#ownerSmartId').val(),
            };
            $.ajax({
                context: this,
                type: 'post',
                url: '../Home/SendingOTPViaEmailAgain/',
                data: myModel,
                success: function (result) {
                    toastr.success('Your new OTP is sent; Please, use the last sent OTP.', 'Sent!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });
                },
                error: function () {
                    //error();
                }
            });

        }
    </script>
    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>

</body>
</html>